API Reference
List plans
Lists plans for the authenticated organization, with optional filtering by group, interval, currency, and active status.
Authorization
bearerAuth Query Parameters
group?string
interval?string
currency?string
includeInactive?string
Response Body
application/json
application/json
curl -X GET "https://api.billwave.example/v1/plans"{
"success": true,
"plans": [
{
"id": "string",
"slug": "string",
"name": "string",
"description": "string",
"price": 0,
"currency": "string",
"interval": "string",
"type": "string",
"billingType": "string",
"isAddon": true,
"planGroup": "string",
"trialDays": 0,
"trialCardRequired": true,
"provider": "string",
"features": [
{
"slug": "string",
"name": "string",
"type": "string",
"meterType": "string",
"enabled": true,
"limit": 0,
"trialLimit": 0,
"resetInterval": "string",
"unit": "string",
"usageModel": "included",
"pricePerUnit": 0,
"billingUnits": 0,
"ratingModel": "package",
"tiers": [
{
"upTo": 0,
"unitPrice": 0,
"flatFee": 0
}
],
"overage": "string",
"overagePrice": 0,
"property1": null,
"property2": null
}
],
"property1": null,
"property2": null
}
]
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}